Module java.base
Package java.time.zone

## Class ZoneRulesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException
        - - java.time.zone.ZoneRulesException

- All Implemented Interfaces:
    `Serializable`

      public class ZoneRulesException
      extends DateTimeException

  Thrown to indicate a problem with time-zone configuration.

  This exception is used to indicate a problems with the configured time-zone rules.

  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZoneRulesException​(String message)` | Constructs a new date-time exception with the specified message.
    `ZoneRulesException​(String message, Throwable cause)` | Constructs a new date-time exception with the specified message and cause.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoneRulesException

          public ZoneRulesException​(String message)

      Constructs a new date-time exception with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null

    - #### ZoneRulesException

          public ZoneRulesException​(String message,
                                    Throwable cause)

      Constructs a new date-time exception with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `cause` - the cause of the exception, may be null